using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;

public class GameManager : MonoBehaviour
{
	public string gameStatus = "Starting";

	private int currentLevel;

	public Text text;
    public Text levelText;

    void Start()
	{
        currentLevel = Convert.ToInt32(Regex.Replace(SceneManager.loadedScene, @"[^\d]+", ""));
    }

	void Update()
	{
        if (Input.GetKeyDown(ScanCode.Escape))
        {
            Application.Quit();
        }

        levelText.text = "Level: " + currentLevel;

        switch (gameStatus)
		{
			case "Starting":
				{
					text.text = "Press to start";
                    if (Input.GetMouseButtonDown(0))
                    {
                        gameStatus = "Processing";
                    }
                    break;
				}
            case "Processing":
                {
                    text.text = "";
                    break;
                }
            case "Killed":
                {
                    text.text = "Press to restart";
                    if (Input.GetMouseButtonDown(0))
                    {
                        SceneManager.LoadScene($"{currentLevel}.scene");
                    }
                    break;
                }
            case "Finished":
                {
                    if (currentLevel != 10)
                    {
                        text.text = "Press for next level";
                        if (Input.GetMouseButtonDown(0))
                        {
                            SceneManager.LoadScene($"{currentLevel+1}.scene");
                        }
                    }
                    else
                    {
                        text.text = "Thanks for playing! Press esc to quit";
                    }
                    break;
                }
        }
	}
}
